#!/bin/dash
# refresh im list
gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules

# add auto-start file
cat > /etc/xdg/Startup/fcitx << EOF
#!/bin/dash
sleep 10
fcitx
EOF
chmod +x /etc/xdg/Startup/fcitx

# add auto-profile file
cat > /etc/profile.d/fcitx.sh << EOF
export GTK_IM_MODULE=fcitx
export QT_IM_MODULE=fcitx
export XMODIFIERS=@im=fcitx
EOF
chmod +x /etc/profile.d/fcitx.sh

Xdialog --title fcitx --infobox "Fcitx will be started automatically after reboot.
For now, you can launch it from menu." 0 0 10000
